Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network97.2.64.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
97.2.64.0
Broadcast address
97.2.95.255
First usable
97.2.64.1
Last usable
97.2.95.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Public public
Old class
A (default /8)
As numbers
Hex 61024000 · Integer 1627537408 to 1627545599
Reverse DNS zones
64.2.97.in-addr.arpa
65.2.97.in-addr.arpa
66.2.97.in-addr.arpa
67.2.97.in-addr.arpa
68.2.97.in-addr.arpa
69.2.97.in-addr.arpa
70.2.97.in-addr.arpa
71.2.97.in-addr.arpa
72.2.97.in-addr.arpa
73.2.97.in-addr.arpa
74.2.97.in-addr.arpa
75.2.97.in-addr.arpa
76.2.97.in-addr.arpa
77.2.97.in-addr.arpa
78.2.97.in-addr.arpa
79.2.97.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01100001.00000010.01000000.0000000097.2.64.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network01100001.00000010.01000000.0000000097.2.64.0
Broadcast01100001.00000010.01011111.1111111197.2.95.255
Split into smaller subnets/30

97.2.64.0/19 makes 2,048 subnets of /30; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
197.2.64.0/3097.2.64.1 to 97.2.64.297.2.64.32
297.2.64.4/3097.2.64.5 to 97.2.64.697.2.64.72
397.2.64.8/3097.2.64.9 to 97.2.64.1097.2.64.112
497.2.64.12/3097.2.64.13 to 97.2.64.1497.2.64.152
597.2.64.16/3097.2.64.17 to 97.2.64.1897.2.64.192
697.2.64.20/3097.2.64.21 to 97.2.64.2297.2.64.232
797.2.64.24/3097.2.64.25 to 97.2.64.2697.2.64.272
897.2.64.28/3097.2.64.29 to 97.2.64.3097.2.64.312
997.2.64.32/3097.2.64.33 to 97.2.64.3497.2.64.352
1097.2.64.36/3097.2.64.37 to 97.2.64.3897.2.64.392
1197.2.64.40/3097.2.64.41 to 97.2.64.4297.2.64.432
1297.2.64.44/3097.2.64.45 to 97.2.64.4697.2.64.472
1397.2.64.48/3097.2.64.49 to 97.2.64.5097.2.64.512
1497.2.64.52/3097.2.64.53 to 97.2.64.5497.2.64.552
1597.2.64.56/3097.2.64.57 to 97.2.64.5897.2.64.592
1697.2.64.60/3097.2.64.61 to 97.2.64.6297.2.64.632
1797.2.64.64/3097.2.64.65 to 97.2.64.6697.2.64.672
1897.2.64.68/3097.2.64.69 to 97.2.64.7097.2.64.712
1997.2.64.72/3097.2.64.73 to 97.2.64.7497.2.64.752
2097.2.64.76/3097.2.64.77 to 97.2.64.7897.2.64.792
2197.2.64.80/3097.2.64.81 to 97.2.64.8297.2.64.832
2297.2.64.84/3097.2.64.85 to 97.2.64.8697.2.64.872
2397.2.64.88/3097.2.64.89 to 97.2.64.9097.2.64.912
2497.2.64.92/3097.2.64.93 to 97.2.64.9497.2.64.952
2597.2.64.96/3097.2.64.97 to 97.2.64.9897.2.64.992
2697.2.64.100/3097.2.64.101 to 97.2.64.10297.2.64.1032
2797.2.64.104/3097.2.64.105 to 97.2.64.10697.2.64.1072
2897.2.64.108/3097.2.64.109 to 97.2.64.11097.2.64.1112
2997.2.64.112/3097.2.64.113 to 97.2.64.11497.2.64.1152
3097.2.64.116/3097.2.64.117 to 97.2.64.11897.2.64.1192
3197.2.64.120/3097.2.64.121 to 97.2.64.12297.2.64.1232
3297.2.64.124/3097.2.64.125 to 97.2.64.12697.2.64.1272
3397.2.64.128/3097.2.64.129 to 97.2.64.13097.2.64.1312
3497.2.64.132/3097.2.64.133 to 97.2.64.13497.2.64.1352
3597.2.64.136/3097.2.64.137 to 97.2.64.13897.2.64.1392
3697.2.64.140/3097.2.64.141 to 97.2.64.14297.2.64.1432
3797.2.64.144/3097.2.64.145 to 97.2.64.14697.2.64.1472
3897.2.64.148/3097.2.64.149 to 97.2.64.15097.2.64.1512
3997.2.64.152/3097.2.64.153 to 97.2.64.15497.2.64.1552
4097.2.64.156/3097.2.64.157 to 97.2.64.15897.2.64.1592
4197.2.64.160/3097.2.64.161 to 97.2.64.16297.2.64.1632
4297.2.64.164/3097.2.64.165 to 97.2.64.16697.2.64.1672
4397.2.64.168/3097.2.64.169 to 97.2.64.17097.2.64.1712
4497.2.64.172/3097.2.64.173 to 97.2.64.17497.2.64.1752
4597.2.64.176/3097.2.64.177 to 97.2.64.17897.2.64.1792
4697.2.64.180/3097.2.64.181 to 97.2.64.18297.2.64.1832
4797.2.64.184/3097.2.64.185 to 97.2.64.18697.2.64.1872
4897.2.64.188/3097.2.64.189 to 97.2.64.19097.2.64.1912
4997.2.64.192/3097.2.64.193 to 97.2.64.19497.2.64.1952
5097.2.64.196/3097.2.64.197 to 97.2.64.19897.2.64.1992
5197.2.64.200/3097.2.64.201 to 97.2.64.20297.2.64.2032
5297.2.64.204/3097.2.64.205 to 97.2.64.20697.2.64.2072
5397.2.64.208/3097.2.64.209 to 97.2.64.21097.2.64.2112
5497.2.64.212/3097.2.64.213 to 97.2.64.21497.2.64.2152
5597.2.64.216/3097.2.64.217 to 97.2.64.21897.2.64.2192
5697.2.64.220/3097.2.64.221 to 97.2.64.22297.2.64.2232
5797.2.64.224/3097.2.64.225 to 97.2.64.22697.2.64.2272
5897.2.64.228/3097.2.64.229 to 97.2.64.23097.2.64.2312
5997.2.64.232/3097.2.64.233 to 97.2.64.23497.2.64.2352
6097.2.64.236/3097.2.64.237 to 97.2.64.23897.2.64.2392
6197.2.64.240/3097.2.64.241 to 97.2.64.24297.2.64.2432
6297.2.64.244/3097.2.64.245 to 97.2.64.24697.2.64.2472
6397.2.64.248/3097.2.64.249 to 97.2.64.25097.2.64.2512
6497.2.64.252/3097.2.64.253 to 97.2.64.25497.2.64.2552
6597.2.65.0/3097.2.65.1 to 97.2.65.297.2.65.32
6697.2.65.4/3097.2.65.5 to 97.2.65.697.2.65.72
6797.2.65.8/3097.2.65.9 to 97.2.65.1097.2.65.112
6897.2.65.12/3097.2.65.13 to 97.2.65.1497.2.65.152
6997.2.65.16/3097.2.65.17 to 97.2.65.1897.2.65.192
7097.2.65.20/3097.2.65.21 to 97.2.65.2297.2.65.232
7197.2.65.24/3097.2.65.25 to 97.2.65.2697.2.65.272
7297.2.65.28/3097.2.65.29 to 97.2.65.3097.2.65.312
7397.2.65.32/3097.2.65.33 to 97.2.65.3497.2.65.352
7497.2.65.36/3097.2.65.37 to 97.2.65.3897.2.65.392
7597.2.65.40/3097.2.65.41 to 97.2.65.4297.2.65.432
7697.2.65.44/3097.2.65.45 to 97.2.65.4697.2.65.472
7797.2.65.48/3097.2.65.49 to 97.2.65.5097.2.65.512
7897.2.65.52/3097.2.65.53 to 97.2.65.5497.2.65.552
7997.2.65.56/3097.2.65.57 to 97.2.65.5897.2.65.592
8097.2.65.60/3097.2.65.61 to 97.2.65.6297.2.65.632
8197.2.65.64/3097.2.65.65 to 97.2.65.6697.2.65.672
8297.2.65.68/3097.2.65.69 to 97.2.65.7097.2.65.712
8397.2.65.72/3097.2.65.73 to 97.2.65.7497.2.65.752
8497.2.65.76/3097.2.65.77 to 97.2.65.7897.2.65.792
8597.2.65.80/3097.2.65.81 to 97.2.65.8297.2.65.832
8697.2.65.84/3097.2.65.85 to 97.2.65.8697.2.65.872
8797.2.65.88/3097.2.65.89 to 97.2.65.9097.2.65.912
8897.2.65.92/3097.2.65.93 to 97.2.65.9497.2.65.952
8997.2.65.96/3097.2.65.97 to 97.2.65.9897.2.65.992
9097.2.65.100/3097.2.65.101 to 97.2.65.10297.2.65.1032
9197.2.65.104/3097.2.65.105 to 97.2.65.10697.2.65.1072
9297.2.65.108/3097.2.65.109 to 97.2.65.11097.2.65.1112
9397.2.65.112/3097.2.65.113 to 97.2.65.11497.2.65.1152
9497.2.65.116/3097.2.65.117 to 97.2.65.11897.2.65.1192
9597.2.65.120/3097.2.65.121 to 97.2.65.12297.2.65.1232
9697.2.65.124/3097.2.65.125 to 97.2.65.12697.2.65.1272
9797.2.65.128/3097.2.65.129 to 97.2.65.13097.2.65.1312
9897.2.65.132/3097.2.65.133 to 97.2.65.13497.2.65.1352
9997.2.65.136/3097.2.65.137 to 97.2.65.13897.2.65.1392
10097.2.65.140/3097.2.65.141 to 97.2.65.14297.2.65.1432
10197.2.65.144/3097.2.65.145 to 97.2.65.14697.2.65.1472
10297.2.65.148/3097.2.65.149 to 97.2.65.15097.2.65.1512
10397.2.65.152/3097.2.65.153 to 97.2.65.15497.2.65.1552
10497.2.65.156/3097.2.65.157 to 97.2.65.15897.2.65.1592
10597.2.65.160/3097.2.65.161 to 97.2.65.16297.2.65.1632
10697.2.65.164/3097.2.65.165 to 97.2.65.16697.2.65.1672
10797.2.65.168/3097.2.65.169 to 97.2.65.17097.2.65.1712
10897.2.65.172/3097.2.65.173 to 97.2.65.17497.2.65.1752
10997.2.65.176/3097.2.65.177 to 97.2.65.17897.2.65.1792
11097.2.65.180/3097.2.65.181 to 97.2.65.18297.2.65.1832
11197.2.65.184/3097.2.65.185 to 97.2.65.18697.2.65.1872
11297.2.65.188/3097.2.65.189 to 97.2.65.19097.2.65.1912
11397.2.65.192/3097.2.65.193 to 97.2.65.19497.2.65.1952
11497.2.65.196/3097.2.65.197 to 97.2.65.19897.2.65.1992
11597.2.65.200/3097.2.65.201 to 97.2.65.20297.2.65.2032
11697.2.65.204/3097.2.65.205 to 97.2.65.20697.2.65.2072
11797.2.65.208/3097.2.65.209 to 97.2.65.21097.2.65.2112
11897.2.65.212/3097.2.65.213 to 97.2.65.21497.2.65.2152
11997.2.65.216/3097.2.65.217 to 97.2.65.21897.2.65.2192
12097.2.65.220/3097.2.65.221 to 97.2.65.22297.2.65.2232
12197.2.65.224/3097.2.65.225 to 97.2.65.22697.2.65.2272
12297.2.65.228/3097.2.65.229 to 97.2.65.23097.2.65.2312
12397.2.65.232/3097.2.65.233 to 97.2.65.23497.2.65.2352
12497.2.65.236/3097.2.65.237 to 97.2.65.23897.2.65.2392
12597.2.65.240/3097.2.65.241 to 97.2.65.24297.2.65.2432
12697.2.65.244/3097.2.65.245 to 97.2.65.24697.2.65.2472
12797.2.65.248/3097.2.65.249 to 97.2.65.25097.2.65.2512
12897.2.65.252/3097.2.65.253 to 97.2.65.25497.2.65.2552
12997.2.66.0/3097.2.66.1 to 97.2.66.297.2.66.32
13097.2.66.4/3097.2.66.5 to 97.2.66.697.2.66.72
13197.2.66.8/3097.2.66.9 to 97.2.66.1097.2.66.112
13297.2.66.12/3097.2.66.13 to 97.2.66.1497.2.66.152
13397.2.66.16/3097.2.66.17 to 97.2.66.1897.2.66.192
13497.2.66.20/3097.2.66.21 to 97.2.66.2297.2.66.232
13597.2.66.24/3097.2.66.25 to 97.2.66.2697.2.66.272
13697.2.66.28/3097.2.66.29 to 97.2.66.3097.2.66.312
13797.2.66.32/3097.2.66.33 to 97.2.66.3497.2.66.352
13897.2.66.36/3097.2.66.37 to 97.2.66.3897.2.66.392
13997.2.66.40/3097.2.66.41 to 97.2.66.4297.2.66.432
14097.2.66.44/3097.2.66.45 to 97.2.66.4697.2.66.472
14197.2.66.48/3097.2.66.49 to 97.2.66.5097.2.66.512
14297.2.66.52/3097.2.66.53 to 97.2.66.5497.2.66.552
14397.2.66.56/3097.2.66.57 to 97.2.66.5897.2.66.592
14497.2.66.60/3097.2.66.61 to 97.2.66.6297.2.66.632
14597.2.66.64/3097.2.66.65 to 97.2.66.6697.2.66.672
14697.2.66.68/3097.2.66.69 to 97.2.66.7097.2.66.712
14797.2.66.72/3097.2.66.73 to 97.2.66.7497.2.66.752
14897.2.66.76/3097.2.66.77 to 97.2.66.7897.2.66.792
14997.2.66.80/3097.2.66.81 to 97.2.66.8297.2.66.832
15097.2.66.84/3097.2.66.85 to 97.2.66.8697.2.66.872
15197.2.66.88/3097.2.66.89 to 97.2.66.9097.2.66.912
15297.2.66.92/3097.2.66.93 to 97.2.66.9497.2.66.952
15397.2.66.96/3097.2.66.97 to 97.2.66.9897.2.66.992
15497.2.66.100/3097.2.66.101 to 97.2.66.10297.2.66.1032
15597.2.66.104/3097.2.66.105 to 97.2.66.10697.2.66.1072
15697.2.66.108/3097.2.66.109 to 97.2.66.11097.2.66.1112
15797.2.66.112/3097.2.66.113 to 97.2.66.11497.2.66.1152
15897.2.66.116/3097.2.66.117 to 97.2.66.11897.2.66.1192
15997.2.66.120/3097.2.66.121 to 97.2.66.12297.2.66.1232
16097.2.66.124/3097.2.66.125 to 97.2.66.12697.2.66.1272
16197.2.66.128/3097.2.66.129 to 97.2.66.13097.2.66.1312
16297.2.66.132/3097.2.66.133 to 97.2.66.13497.2.66.1352
16397.2.66.136/3097.2.66.137 to 97.2.66.13897.2.66.1392
16497.2.66.140/3097.2.66.141 to 97.2.66.14297.2.66.1432
16597.2.66.144/3097.2.66.145 to 97.2.66.14697.2.66.1472
16697.2.66.148/3097.2.66.149 to 97.2.66.15097.2.66.1512
16797.2.66.152/3097.2.66.153 to 97.2.66.15497.2.66.1552
16897.2.66.156/3097.2.66.157 to 97.2.66.15897.2.66.1592
16997.2.66.160/3097.2.66.161 to 97.2.66.16297.2.66.1632
17097.2.66.164/3097.2.66.165 to 97.2.66.16697.2.66.1672
17197.2.66.168/3097.2.66.169 to 97.2.66.17097.2.66.1712
17297.2.66.172/3097.2.66.173 to 97.2.66.17497.2.66.1752
17397.2.66.176/3097.2.66.177 to 97.2.66.17897.2.66.1792
17497.2.66.180/3097.2.66.181 to 97.2.66.18297.2.66.1832
17597.2.66.184/3097.2.66.185 to 97.2.66.18697.2.66.1872
17697.2.66.188/3097.2.66.189 to 97.2.66.19097.2.66.1912
17797.2.66.192/3097.2.66.193 to 97.2.66.19497.2.66.1952
17897.2.66.196/3097.2.66.197 to 97.2.66.19897.2.66.1992
17997.2.66.200/3097.2.66.201 to 97.2.66.20297.2.66.2032
18097.2.66.204/3097.2.66.205 to 97.2.66.20697.2.66.2072
18197.2.66.208/3097.2.66.209 to 97.2.66.21097.2.66.2112
18297.2.66.212/3097.2.66.213 to 97.2.66.21497.2.66.2152
18397.2.66.216/3097.2.66.217 to 97.2.66.21897.2.66.2192
18497.2.66.220/3097.2.66.221 to 97.2.66.22297.2.66.2232
18597.2.66.224/3097.2.66.225 to 97.2.66.22697.2.66.2272
18697.2.66.228/3097.2.66.229 to 97.2.66.23097.2.66.2312
18797.2.66.232/3097.2.66.233 to 97.2.66.23497.2.66.2352
18897.2.66.236/3097.2.66.237 to 97.2.66.23897.2.66.2392
18997.2.66.240/3097.2.66.241 to 97.2.66.24297.2.66.2432
19097.2.66.244/3097.2.66.245 to 97.2.66.24697.2.66.2472
19197.2.66.248/3097.2.66.249 to 97.2.66.25097.2.66.2512
19297.2.66.252/3097.2.66.253 to 97.2.66.25497.2.66.2552
19397.2.67.0/3097.2.67.1 to 97.2.67.297.2.67.32
19497.2.67.4/3097.2.67.5 to 97.2.67.697.2.67.72
19597.2.67.8/3097.2.67.9 to 97.2.67.1097.2.67.112
19697.2.67.12/3097.2.67.13 to 97.2.67.1497.2.67.152
19797.2.67.16/3097.2.67.17 to 97.2.67.1897.2.67.192
19897.2.67.20/3097.2.67.21 to 97.2.67.2297.2.67.232
19997.2.67.24/3097.2.67.25 to 97.2.67.2697.2.67.272
20097.2.67.28/3097.2.67.29 to 97.2.67.3097.2.67.312
20197.2.67.32/3097.2.67.33 to 97.2.67.3497.2.67.352
20297.2.67.36/3097.2.67.37 to 97.2.67.3897.2.67.392
20397.2.67.40/3097.2.67.41 to 97.2.67.4297.2.67.432
20497.2.67.44/3097.2.67.45 to 97.2.67.4697.2.67.472
20597.2.67.48/3097.2.67.49 to 97.2.67.5097.2.67.512
20697.2.67.52/3097.2.67.53 to 97.2.67.5497.2.67.552
20797.2.67.56/3097.2.67.57 to 97.2.67.5897.2.67.592
20897.2.67.60/3097.2.67.61 to 97.2.67.6297.2.67.632
20997.2.67.64/3097.2.67.65 to 97.2.67.6697.2.67.672
21097.2.67.68/3097.2.67.69 to 97.2.67.7097.2.67.712
21197.2.67.72/3097.2.67.73 to 97.2.67.7497.2.67.752
21297.2.67.76/3097.2.67.77 to 97.2.67.7897.2.67.792
21397.2.67.80/3097.2.67.81 to 97.2.67.8297.2.67.832
21497.2.67.84/3097.2.67.85 to 97.2.67.8697.2.67.872
21597.2.67.88/3097.2.67.89 to 97.2.67.9097.2.67.912
21697.2.67.92/3097.2.67.93 to 97.2.67.9497.2.67.952
21797.2.67.96/3097.2.67.97 to 97.2.67.9897.2.67.992
21897.2.67.100/3097.2.67.101 to 97.2.67.10297.2.67.1032
21997.2.67.104/3097.2.67.105 to 97.2.67.10697.2.67.1072
22097.2.67.108/3097.2.67.109 to 97.2.67.11097.2.67.1112
22197.2.67.112/3097.2.67.113 to 97.2.67.11497.2.67.1152
22297.2.67.116/3097.2.67.117 to 97.2.67.11897.2.67.1192
22397.2.67.120/3097.2.67.121 to 97.2.67.12297.2.67.1232
22497.2.67.124/3097.2.67.125 to 97.2.67.12697.2.67.1272
22597.2.67.128/3097.2.67.129 to 97.2.67.13097.2.67.1312
22697.2.67.132/3097.2.67.133 to 97.2.67.13497.2.67.1352
22797.2.67.136/3097.2.67.137 to 97.2.67.13897.2.67.1392
22897.2.67.140/3097.2.67.141 to 97.2.67.14297.2.67.1432
22997.2.67.144/3097.2.67.145 to 97.2.67.14697.2.67.1472
23097.2.67.148/3097.2.67.149 to 97.2.67.15097.2.67.1512
23197.2.67.152/3097.2.67.153 to 97.2.67.15497.2.67.1552
23297.2.67.156/3097.2.67.157 to 97.2.67.15897.2.67.1592
23397.2.67.160/3097.2.67.161 to 97.2.67.16297.2.67.1632
23497.2.67.164/3097.2.67.165 to 97.2.67.16697.2.67.1672
23597.2.67.168/3097.2.67.169 to 97.2.67.17097.2.67.1712
23697.2.67.172/3097.2.67.173 to 97.2.67.17497.2.67.1752
23797.2.67.176/3097.2.67.177 to 97.2.67.17897.2.67.1792
23897.2.67.180/3097.2.67.181 to 97.2.67.18297.2.67.1832
23997.2.67.184/3097.2.67.185 to 97.2.67.18697.2.67.1872
24097.2.67.188/3097.2.67.189 to 97.2.67.19097.2.67.1912
24197.2.67.192/3097.2.67.193 to 97.2.67.19497.2.67.1952
24297.2.67.196/3097.2.67.197 to 97.2.67.19897.2.67.1992
24397.2.67.200/3097.2.67.201 to 97.2.67.20297.2.67.2032
24497.2.67.204/3097.2.67.205 to 97.2.67.20697.2.67.2072
24597.2.67.208/3097.2.67.209 to 97.2.67.21097.2.67.2112
24697.2.67.212/3097.2.67.213 to 97.2.67.21497.2.67.2152
24797.2.67.216/3097.2.67.217 to 97.2.67.21897.2.67.2192
24897.2.67.220/3097.2.67.221 to 97.2.67.22297.2.67.2232
24997.2.67.224/3097.2.67.225 to 97.2.67.22697.2.67.2272
25097.2.67.228/3097.2.67.229 to 97.2.67.23097.2.67.2312
25197.2.67.232/3097.2.67.233 to 97.2.67.23497.2.67.2352
25297.2.67.236/3097.2.67.237 to 97.2.67.23897.2.67.2392
25397.2.67.240/3097.2.67.241 to 97.2.67.24297.2.67.2432
25497.2.67.244/3097.2.67.245 to 97.2.67.24697.2.67.2472
25597.2.67.248/3097.2.67.249 to 97.2.67.25097.2.67.2512
25697.2.67.252/3097.2.67.253 to 97.2.67.25497.2.67.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses